Page MenuHomePhabricator

Productization of Recommendation API
Closed, ResolvedPublic

Description

This task is for tracking deploying the Recommendation API to production.

https://etherpad.wikimedia.org/p/recommendation-api-productisation

Production pipeline is described here: https://meta.wikimedia.org/wiki/Research:Technology/Article-Recommendation-Pipeline-Overview

Details

Related Gerrit Patches:

Related Objects

StatusAssignedTask
Resolved schana
Resolved schana
ResolvedNone
DeclinedNone
DeclinedNone
ResolvedNone
Resolved schana
InvalidNone
DeclinedNone
Declined schana
Resolved schana
DeclinedNone
Resolvedmobrovac
Resolved schana
ResolvedJoe
Resolved schana
Resolved schana
Resolved schana
Resolved schana
Resolved schana
ResolvedNone
Resolvedmobrovac
Resolved schana
Resolved schana
Resolvedmobrovac
Resolvedbmansurov
Resolvedmobrovac
Resolvedbmansurov
Resolvedjcrespo
Resolvedbmansurov
InvalidNone
Resolvedbmansurov
Resolvedbmansurov
Resolvedbmansurov
ResolvedNone

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
phuedx added a subscriber: phuedx.Jan 31 2017, 5:06 PM
schana updated the task description. (Show Details)Jan 31 2017, 7:06 PM
schana renamed this task from Production infrastructure for Recommendation API to Productization of Recommendation API.Feb 8 2017, 6:16 PM
schana updated the task description. (Show Details)

The steps to follow for deploying are documented here: https://wikitech.wikimedia.org/wiki/Services/FirstDeployment

I'm going to go through this and create the appropriate subtasks for tracking visibility

The subtasks have been created.

@schana is the list of subtasks agreed on by both Ops and Services?

@schana is the list of subtasks agreed on by both Ops and Services?

@mobrovac I've captured the steps of https://wikitech.wikimedia.org/wiki/Services/FirstDeployment in subtasks of T165760; is there anything else that should be captured in productionizing the service?

This sounds about right, @schana !

@akosiaris says that unless something comes up after @Joe reviews it, beta should be the last step before landing into production

It is my understanding that the subtasks as they exist now capture the scope of work to get the service into the beta cluster (from Research's perspective).

@akosiaris @Joe @mobrovac Could you please confirm for @leila?

phuedx removed a subscriber: phuedx.Jun 29 2017, 5:13 PM

@schana aside from a potential task for getting the service running beta, I think the tasks above are OK.

FYI: the service is active in BetaCluster, it resides on deployment-sca0[1-4] (n the standard deployment location) and is up on port 9632. @Joe @akosiaris please proceed with the review.

hashar added a subscriber: hashar.Jul 6 2017, 12:16 PM

I have created via https://horizon.wikimedia.org/project/proxy/ a Web proxy for:

hostnamebackendinstance
recommendation-api-beta.wmflabs.orghttp://10.68.20.183:9632deployment-sca01

That does not seem to work though (nothing reach the instance), I don't even know whether the other proxies are working.

Workaround for now:

$ ssh -N -L 9632:127.0.0.1:9632 deployment-sca01.deployment-prep.eqiad.wmflabs

And in another terminal:

$ curl http://127.0.0.1:9632/

That does not seem to work though (nothing reach the instance), I don't even know whether the other proxies are working.

That is because we have no more security groups available in the deployment-prep project, so that port cannot be exposed to the outside world. I will try to fiddle with the existing groups and get it in.

FYI: the service is active in BetaCluster, it resides on deployment-sca0[1-4] (n the standard deployment location) and is up on port 9632. @Joe @akosiaris please proceed with the review.

@Joe and/or @akosiaris, could you give a rough timeline of when you'll be able to get to this? Thanks

hashar added a comment.Jul 7 2017, 2:53 PM

That does not seem to work though (nothing reach the instance), I don't even know whether the other proxies are working.

That is because we have no more security groups available in the deployment-prep project, so that port cannot be exposed to the outside world. I will try to fiddle with the existing groups and get it in.

There is a quota per project. That can surely be bumped by cloud team. Anyway, deployment-sca02 and deployment-sca04 have the sca security group applied and rules can simply be added to it :]

Mentioned in SAL (#wikimedia-releng) [2017-07-07T14:53:58Z] <hashar> deployment-prep: change webproxy http://recommendation-api-beta.wmflabs.org/ to deployment-sca02 (has the proper security rule) - T148129

hashar added a comment.Jul 7 2017, 2:55 PM

@schana http://recommendation-api-beta.wmflabs.org/ should now be reachable from anywhere and it points to deployment-sca02. Enjoy!

Joe added a comment.Jul 7 2017, 4:07 PM

@schana I will get into the details early next week - I just have one additional question: who will be the consumer of the service exactly? The user browser? mediawiki via an extension? another software?

Change 364221 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] recommendation api: refactor profile, remove module

https://gerrit.wikimedia.org/r/364221

@schana I will get into the details early next week - I just have one additional question: who will be the consumer of the service exactly? The user browser? mediawiki via an extension? another software?

Ping @schana :)

@schana I will get into the details early next week - I just have one additional question: who will be the consumer of the service exactly? The user browser? mediawiki via an extension? another software?

ContentTranslation, the user browser (via GapFinder), and any other tool that wants to consume it (nothing at this time)

leila added a comment.Jul 11 2017, 6:27 PM

To add to schana's list, I know Tofawiki gadget uses the API as well, and there may be more that we're not aware of.

Change 364221 merged by Giuseppe Lavagetto:
[operations/puppet@production] recommendation api: refactor profile, remove module

https://gerrit.wikimedia.org/r/364221

hashar removed a subscriber: hashar.Jul 18 2017, 7:50 AM
bmansurov updated the task description. (Show Details)Jan 11 2019, 5:15 PM
bmansurov closed this task as Resolved.Mar 29 2019, 8:18 PM
bmansurov claimed this task.
bmansurov reassigned this task from bmansurov to schana.
bmansurov added a subscriber: bmansurov.